textures/ssmc24budo/skybox
{
    qer_editorimage textures/ssmc24budo/treize_lf.jpg
    q3map_lightimage textures/ssmc24budo/treize_lf.jpg
    surfaceparm noimpact
    surfaceparm nolightmap
    q3map_globaltexture
    q3map_sunExt 0.95 0.65 0.4 150 0 90 4 16
    q3map_skylight 700 16
    surfaceparm sky
    skyparms textures/ssmc24budo/treize - -
}

// textures/ssmc24budo/icy-plat
// {
//     qer_editorimage textures/ssmc24budo/icy.jpg
//     surfaceparm nodamage
//     surfaceparm slick
//     {
//         map textures/ssmc24budo/icy.tga
//     }  
//     //surfaceparm detail
//     //surfaceparm trans
// }

textures/ssmc24budo/icy-plat
{
    qer_editorimage textures/ssmc24budo/icy.jpg
    surfaceparm nodamage
    surfaceparm slick
    //surfaceparm detail
    //surfaceparm trans
    cull disable
    {
        map textures/ssmc24budo/icy.jpg
    }
	{
		map "textures/ssmc24budo/platform_tint2.tga"
		blendFunc GL_DST_COLOR GL_ONE
		rgbGen identity
		tcGen environment
		tcMod scale 0.5 0.3
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ssmc24budo/guirlande
{
	qer_editorimage textures/ssmc24budo/guirlande.jpg
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	qer_trans 0.99
    q3map_lightimage textures/ssmc24budo/guirlande.jpg
    q3map_surfacelight 500
    q3map_lightsubdivide 128

	{
		map textures/ssmc24budo/guirlande.jpg
		blendFunc GL_ONE GL_ONE
        rgbGen identity
	}
}

textures/ssmc24budo/ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	  surfaceparm trans
}

textures/ssmc24budo/snow1
{
    qer_editorimage textures/ssmc24budo/snow1.tga
    surfaceparm nodamage
		surfaceparm snowsteps
    {
        map textures/ssmc24budo/snow1.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
	
}
textures/ssmc24budo/snow2
{
    qer_editorimage textures/ssmc24budo/snow2.jpg
    surfaceparm nodamage
		surfaceparm snowsteps
    {
        map textures/ssmc24budo/snow2.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }
	
}
textures/ssmc24budo/snow3
{
    qer_editorimage textures/ssmc24budo/snow3.jpg
    surfaceparm nodamage
		surfaceparm snowsteps
    {
        map textures/ssmc24budo/snow3.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }
	
}

textures/ssmc24budo/water1blue
{
		qer_editorimage textures/ssmc24budo/waterblue.tga
		qer_trans .75
		q3map_lightimage textures/ssmc24budo/waterblue.tga
		qer_trans .75
		q3map_globaltexture
		qer_trans .5

		surfaceparm noimpact
		surfaceparm water
		surfaceparm nolightmap
		surfaceparm trans      

		q3map_surfacelight 100
		tessSize 128
		cull disable
		deformVertexes wave 30 sin 0 3 0 .3
		deformVertexes normal .1 .15  
   {
		map textures/ssmc24budo/bubbles.tga
		blendfunc add
		tcgen environment
		rgbgen wave sin .5 0 0 0
		tcmod scale 0.75 0.75
		tcMod scroll .01 .01
   }
  { 
		map textures/ssmc24budo/pool3d_3e.tga
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
   }
   {
		map textures/ssmc24budo/waterblue.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb .2 .1 .1 .2
		tcMod scale .7 .7
		tcMod scroll .001 .001
   }


}

textures/ssmc24budo/blue_flare
{
	qer_editorimage textures/ssmc24budo/blue_flare.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	q3map_surfacelight 50
	deformvertexes autosprite
	deformvertexes move 0.000000 0.000000 0.000000 sawtooth 0 1 0.789749 1.000000
	{
		clampmap textures/ssmc24budo/blue_flare.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 0.800000 0.000000 0.789749 1.000000
		rgbGen wave sawtooth 1.000000 0.000000 0.789749 1.000000
		tcMod stretch sawtooth 1.000000 0.000000 0.789749 1.000000
		blendfunc add
	}
}

textures/ssmc24budo/red_flare
{
	qer_editorimage textures/ssmc24budo/red_flare.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	q3map_surfacelight 50
	deformvertexes autosprite
	deformvertexes move 0.000000 0.000000 0.000000 sawtooth 0 1 0.789749 1.000000
	{
		clampmap textures/ssmc24budo/red_flare.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 0.800000 0.000000 0.789749 1.000000
		rgbGen wave sawtooth 1.000000 0.000000 0.789749 1.000000
		tcMod stretch sawtooth 1.000000 0.000000 0.789749 1.000000
		blendfunc add
	}
}

textures/ssmc24budo/green_flare
{
	qer_editorimage textures/ssmc24budo/green_flare.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	q3map_surfacelight 50
	deformvertexes autosprite
	deformvertexes move 0.000000 0.000000 0.000000 sawtooth 0 1 0.789749 1.000000
	{
		clampmap textures/ssmc24budo/green_flare.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 0.800000 0.000000 0.789749 1.000000
		rgbGen wave sawtooth 1.000000 0.000000 0.789749 1.000000
		tcMod stretch sawtooth 1.000000 0.000000 0.789749 1.000000
		blendfunc add
	}
}

textures/ssmc24budo/yellow_flare
{
	qer_editorimage textures/ssmc24budo/yellow_flare.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	q3map_surfacelight 50
	deformvertexes autosprite
	deformvertexes move 0.000000 0.000000 0.000000 sawtooth 0 1 0.789749 1.000000
	{
		clampmap textures/ssmc24budo/yellow_flare.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 0.800000 0.000000 0.789749 1.000000
		rgbGen wave sawtooth 1.000000 0.000000 0.789749 1.000000
		tcMod stretch sawtooth 1.000000 0.000000 0.789749 1.000000
		blendfunc add
	}
}

textures/ssmc24budo/purple_flare
{
	qer_editorimage textures/ssmc24budo/purple_flare.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	q3map_surfacelight 50
	deformvertexes autosprite
	deformvertexes move 0.000000 0.000000 0.000000 sawtooth 0 1 0.789749 1.000000
	{
		clampmap textures/ssmc24budo/purple_flare.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 0.800000 0.000000 0.789749 1.000000
		rgbGen wave sawtooth 1.000000 0.000000 0.789749 1.000000
		tcMod stretch sawtooth 1.000000 0.000000 0.789749 1.000000
		blendfunc add
	}
}